Subject: [MMUSIC] Draft new: draft-holmberg-mmusic-udptl-dtls-00

From: Christer Holmberg <[email-masked]>
Date: Mon, 19 Aug 2013 13:03:33 +0000

Hi,

We have submitted a new draft, draft-holmberg-mmusic-udptl-dtls-00, which defines usage of UDPTL over DTLS, in order to provide secure fax.

The draft was previously submitted to DISPATCH. Based on discussions with the ADs and chairs, it was decided that it shall be submitted to MMUSIC (note that no DTLS extensions are needed).

As is indicated in the draft, 3GPP has performed a study on how to provide secure fax in the IMS, and the outcome was that secure fax shall be transported using UDPTL over
DTLS. However, there is nothing "3GPP/IMS specific" about the mechanism, as UDPTL is commonly used for fax also elsewhere.

Regards,

Christer

---

From: Dan Wing <[email-masked]>
Date: Mon, 19 Aug 2013 10:42:47 -0700

On Aug 19, 2013, at 6:03 AM, Christer Holmberg <[email-masked]> wrote:

> DTLS.

Got a pointer to that study?  Seems easier to carry UDPTL over RTP, which would allow the RTP to be secured using SRTP (and thus the UDPTL would be secured using SRTP).  There is a spec floating around to do exactly that (carry fax over RTP so that SRTP can secure it).  Advantage of using SRTP to secure fax is it separates the keying mechanism from security, so that Security Descriptions / MIKEY / DTLS-SRTP / whatever-is-invented-in-2020 will work just as effectively for voice as for fax.  And also that upgrading from a voice call to a "fax" call has no additional complexities due to security ("please press START to begin the fax transmission").

-d

> However, there is nothing “3GPP/IMS specific” about the mechanism, as UDPTL is commonly used for fax also elsewhere.
>  
> Regards,
>  
> Christer
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 20 Aug 2013 09:42:25 +0000

Hi Dan,

I'll get back to your comments later, but just a question for clarification:

When you say "UDPTL over RTP", you are NOT referring to RFC 4612, right? 

Or, did you mean to say "fax over RTP"? :)

Regards,

Christer

-----Original Message-----
From: Dan Wing [mailto:[email-masked]] 
Sent: 19. elokuuta 2013 20:43
To: Christer Holmberg
Cc: mmusic; [email-masked]
Subject: Re: [MMUSIC] Draft new: draft-holmberg-mmusic-udptl-dtls-00

On Aug 19, 2013, at 6:03 AM, Christer Holmberg <[email-masked]> wrote:

> As is indicated in the draft, 3GPP has performed a study on how to 
> provide secure fax in the IMS, and the outcome was that secure fax shall be transported using UDPTL over DTLS.

-d

> However, there is nothing "3GPP/IMS specific" about the mechanism, as UDPTL is commonly used for fax also elsewhere.
>  
> Regards,
>  
> Christer

---

From: Dan Wing <[email-masked]>
Date: Tue, 20 Aug 2013 08:33:39 -0700

> When you say "UDPTL over RTP", you are NOT referring to RFC 4612, right? 

I believe I am.  However, I thought there was an ITU specification for T.38 over RTP -- perhaps there is just that IETF specification.  Are you not a fan of RFC4612?

> Or, did you mean to say "fax over RTP"? :)

Maybe you could educate me on the difference.  My fax knowledge has faded with time.

-d

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 20 Aug 2013 16:32:25 +0000

Hi Dan,

> I believe I am.  However, I thought there was an ITU specification for T.38 over RTP -- perhaps there is just that IETF specification.  

The latest version of T.38 also specifies the usage of T.38 over RTP.  

RFC 4612 defines the new MIME type and fmtp attribute values, also used in T.38, but refers to T.38 for the fax mechanism itself.

> Are you not a fan of RFC4612?

I'm a fan of Kelly Clarkson ;)

> Maybe you could educate me on the difference.  My fax knowledge has faded with time.

When you use RTP, you don't use UDPTL. The UDPTL layer is "replaced" by the RTP layer, and the fax stuff is transported as an RTP payload type.

Regards,

Christer

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 22 Aug 2013 09:37:07 +0000

Hi Dan,

Regarding the 3GPP SA3 study, the information I gave was a little misleading. From a security perspective SRTP would be fine.

The focus of the SA3 study was on how to provide security for the existing fax transmission mechanism, which uses UDPTL/UDP.

3GPP already mandates IMS terminals to support UDPTL/UDP for unsecure fax. And, new terminals (supporting secure fax) are still required to also support unsecure fax, in order to communicate with legacy terminals when unsecure fax is sufficient. 

So, using UDPTL/DTLS/UDP for secure fax makes more sense, as it avoids implementing different mechanisms for secure and unsecure fax - UDPTL/DTLS/UDP only requires a new layer between UDPTL and UDP, it does not require changing the upper layers (UDPTL and above).

Hopefully this clarifies :)

Regards,

Christer

-----Original Message-----
From: Dan Wing [mailto:[email-masked]] 
Sent: 19. elokuuta 2013 20:43
To: Christer Holmberg
Cc: mmusic; [email-masked]
Subject: Re: [MMUSIC] Draft new: draft-holmberg-mmusic-udptl-dtls-00

-d

---

From: Dan Wing <[email-masked]>
Date: Wed, 28 Aug 2013 10:41:06 -0700

> Hopefully this clarifies :)

(Sorry for my delay.  I was on vacation.)

Thanks for the clarification.

Back to your document, it says:

   Since the DTLS record layer "application_data" packet does not
   indicate whether it carries UDPTL, or some other protocol, the usage
   of a dedicated DTLS association for transport of UDPTL needs to be
   negotiated, e.g. using the Session Description Protocol (SDP)
   [RFC4566] and the SDP offer/answer mechanism [RFC3264].

   Therefore, this document specifies a new <proto> value [RFC4566] for
   the SDP "m=" line [RFC3264], in order to indicate UDPTL over DTLS in
   SDP messages [RFC4566].

Have you considered doing UDPTL negotiation in the DTLS handshake itself, using http://tools.ietf.org/html/draft-ietf-tls-applayerprotoneg?  That seems ideally suited for indicating the application layer protocol, perhaps in addition to the SDP signaling described in your I-D.

-d

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 29 Aug 2013 08:17:13 +0000

Hi Dan,

The protocols listed in draft-ietf-tls-applayerprotoneg-01 are used without SIP/SDP, so using such mechanism makes sense for those protocols.

In SIP, SDP is used to negotiate the media (including nonsecure fax), and I see no reason why we should introduce a new mechanism for secure fax. 

Regards,

Christer

-----Original Message-----
From: Dan Wing [mailto:[email-masked]] 
Sent: 28. elokuuta 2013 20:41
To: Christer Holmberg
Cc: mmusic WG
Subject: Re: [MMUSIC] Draft new: draft-holmberg-mmusic-udptl-dtls-00

-d